Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class IetfAttrSyntax

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.IetfAttrSyntax

All Implemented Interfaces:
  DEREncodable

public class IetfAttrSyntax
extends ASN1Encodable

Implementation of `IetfAttrSyntax` as specified by RFC3281.

Field Summary
`static int` | `VALUE_OCTETS`
`static int` | `VALUE_OID`
`static int` | `VALUE_UTF8`

Constructor Summary
`IetfAttrSyntax(ASN1Sequence seq)`

Method Summary
`GeneralNames` | `getPolicyAuthority()`
`java.lang.Object[]` | `getValues()`
`int` | `getValueType()`
`DERObject` | `toASN1Object()` IetfAttrSyntax ::= SEQUENCE { policyAuthority [0] GeneralNames OPTIONAL, values SEQUENCE OF CHOICE { octets OCTET STRING, oid OBJECT IDENTIFIER, string UTF8String } }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_OCTETS

    public static final int VALUE_OCTETS

### VALUE_OID

    public static final int VALUE_OID

### VALUE_UTF8

    public static final int VALUE_UTF8

Constructor Detail

### IetfAttrSyntax

    public IetfAttrSyntax(ASN1Sequence seq)

Method Detail

### getPolicyAuthority

    public GeneralNames getPolicyAuthority()

### getValueType

    public int getValueType()

### getValues

    public java.lang.Object[] getValues()

### toASN1Object

    public DERObject toASN1Object()

        IetfAttrSyntax ::= SEQUENCE {
          policyAuthority [0] GeneralNames OPTIONAL,
          values SEQUENCE OF CHOICE {
            octets OCTET STRING,
            oid OBJECT IDENTIFIER,
            string UTF8String
          }
        }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD